<?php

if(!defined('LCAS_PATH'))
{
  define('LCAS_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
}
if (!defined('LCAS_ROOT'))
{
  define('LCAS_ROOT', dirname(__FILE__).'/');
}

include_once (LCAS_PATH.'include/constants.php');
include_once (LCAS_PATH.'include/functions.inc.php');


function plugin_install()
{
	global $conf;
	
  $default = array('0','false','Example customized content of the notification email');

  $q = '
INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
VALUES ("LoginCaseAccentsSensitivity","'.addslashes(serialize($default)).'","LCAS parameters")
  ;';
  pwg_query($q);

}


function plugin_activate()
{
  global $conf;

/* Cleaning obsolete files */
/* *********************** */
  LCAS_clean_obsolete_files();
  
  include_once (LCAS_PATH.'include/upgradedb.inc.php');

	$query = '
SELECT param
  FROM '.CONFIG_TABLE.'
WHERE param = "LoginCaseAccentsSensitivity"
;';
  $count1 = pwg_db_num_rows(pwg_query($query));
  
  if ($count1 == 1)
  {
		load_conf_from_db('param like \'LoginCaseAccentsSensitivity\'');
  }
}


function plugin_uninstall()
{
  global $conf;

  if (isset($conf['LoginCaseAccentsSensitivity']))
  {
    $q = '
DELETE FROM '.CONFIG_TABLE.'
WHERE param="LoginCaseAccentsSensitivity"
;';

    pwg_query($q);
  }

}
?>