<?php

global $lang;

// This file sets the messages that are displayed to the users:
// error message when a user tries to create an account which already exists,
// and tooltip messages displayed when the mouse hovers above username and
// password fields.

// You can create your own message for your personal table, having index 0:
// $lang['LCAS_error'][0] = 'Your text here';
// Remove comment identifier ("//"), and replace the text "Your text here" by
// the text you want. Don't forget to write the apostrophe (') with a
// preceding "\": 'This ain\'t a good text without it!'


// New account creation error messages
$lang['LCAS_error'][1] = 'This username is already used.<br>Username is case insensitive (uppercase/lowercase; E = e ≠ É = é).';

$lang['LCAS_error'][2] = 'This username is already used.<br>Username is accents insensitive (e = é ≠ E = É).';

$lang['LCAS_error'][3] = 'This username is already used.<br>Username is case (uppercase/lowercase) and accents insensitive (E = e = É = é).';


// Tooltips in index page
$lang['LCAS_tooltip_username_index'][0] = 'The username is case (uppercase/lowercase) and accents sensitive (E ≠ e ≠ É ≠ é)';

$lang['LCAS_tooltip_username_index'][1] = 'The username is case insensitive (uppercase/lowercase; E = e ≠ É = é)';

$lang['LCAS_tooltip_username_index'][2] = 'The username is accents insensitive (e = é ≠ E = É)';

$lang['LCAS_tooltip_username_index'][3] = 'The username is case (uppercase/lowercase) and accents insensitive (E = e = É = é)';

$lang['LCAS_tooltip_password_index'] = 'The password is always case (uppercase/lowercase) and accents sensitive (E ≠ e ≠ É ≠ é)';


// Tooltips in register page
$lang['LCAS_tooltip_username_register'][0] = 'The username is case (uppercase/lowercase) and accents sensitive (E ≠ e ≠ É ≠ é)';

$lang['LCAS_tooltip_username_register'][1] = 'The username is case insensitive (uppercase/lowercase; E = e ≠ É = é)';

$lang['LCAS_tooltip_username_register'][2] = 'The username is accents insensitive (e = é ≠ E = É)';

$lang['LCAS_tooltip_username_register'][3] = 'The username is case (uppercase/lowercase) and accents insensitive (E = e = É = é)';

$lang['LCAS_tooltip_password_register'] = 'The password is always case (uppercase/lowercase) and accents sensitive (E ≠ e ≠ É ≠ é)';

?>