<?php

global $lang;

// English explanation:
// This file sets the messages that are displayed to the users:
// error message when a user tries to create an account which already exists,
// and tooltip messages displayed when the mouse hovers above username and
// password fields

// You can create your own message for your personal table, having index 0:
// $lang['LCAS_error'][0] = 'Your text here';
// Remove comment identifier ("//"), and replace the text "Your text here" by
// the text you want. Don't forget to write the apostrophe (') with a
// preceding "\": 'This ain\'t a good text without it!'


// Explications françaises :
// Ce fichier définit les messages affichés aux utilisateurs :
// message d'erreur lors de la création d'un compte, si ce compte existe déjà,
// et infos-bulles affichées lorsque la souris survole les champs "nom
// d'utilisateur" et "mot de passe"

// Vous pouvez vous céer vos propres messages pour votre tableau personnel,
// d'index 0 :
// $lang['LCAS_error'][0] = 'Votre texte ici';
// Retirez les identifiants de commentaire ("//"), et remplacez le texte
// "Votre texte ici" par le texte dont vous avez besoin. N'oubliez
// pas d'écrire l'apostrophe en le précédant d'un "\" :
// 'Sinon ça l\'fera pas !'


// New account creation error messages
// Messages d'erreur lors de la création d'un nouveau compte
$lang['LCAS_error'][1] = 'Ce nom d\'utilisateur est déjà pris.<br>Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules&nbsp;; E = e ≠ É = é).';

$lang['LCAS_error'][2] = 'Ce nom d\'utilisateur est déjà pris.<br>Le nom d\'utilisateur est insensible aux accents (e = é ≠ E = É).';

$lang['LCAS_error'][3] = 'Ce nom d\'utilisateur est déjà pris.<br>Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules) et aux accents (E = e = É = é).';


// Tooltips in index page
// Info-bulles sur la page index
$lang['LCAS_tooltip_username_index'][0] = 'Le nom d\'utilisateur est sensible à la casse (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';

$lang['LCAS_tooltip_username_index'][1] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules&nbsp;; E = e ≠ É = é)';

$lang['LCAS_tooltip_username_index'][2] = 'Le nom d\'utilisateur est insensible aux accents (e = é ≠ E = É)';

$lang['LCAS_tooltip_username_index'][3] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules) et aux accents (E = e = É = é)';

$lang['LCAS_tooltip_password_index'] = 'Le mot de passe est toujours sensible à la casse (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';


// Tooltips in register page
// Info-bulles sur la page register
$lang['LCAS_tooltip_username_register'][0] = 'Le nom d\'utilisateur est sensible à la casse (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';

$lang['LCAS_tooltip_username_register'][1] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules&nbsp;; E = e ≠ É = é)';

$lang['LCAS_tooltip_username_register'][2] = 'Le nom d\'utilisateur est insensible aux accents (e = é ≠ E = É)';

$lang['LCAS_tooltip_username_register'][3] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules) et aux accents (E = e = É = é)';

$lang['LCAS_tooltip_password_register'] = 'Le mot de passe est toujours sensible à la casse (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';

?>